Skip to main content
GET
List Addresses

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customer_id
string<uuid>

ID of the customer that the risk score applies to

Example:

"77275c65-8702-4b27-8e60-20f4292054ac"

business_id
string<uuid>

ID of the business that the risk score applies to

Example:

"edebece0-4a06-4806-b062-7de25a848be8"

address_type
enum<string>[]

Specifies the address type.

Available options:
BILLING,
LEGAL,
SHIPPING,
OPERATING,
OTHER
is_registered_agent
boolean

Whether the address uses a registered agent or not

is_active
boolean

Whether the address is active or not

country
string

Country code.

ISO 3166-1 Alpha-2 or Alpha-3 country code.

Pattern: ^[A-Z]{2,3}$
Example:

"U"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

Response

List of addresses

addresses
object[]
required

Array of Addresses

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"